std::ranges::chunk_view::outer-iterator::operator*(3)

NAME
std::ranges::chunk_view::outer-iterator::operator* - std::ranges::chunk_view::outer-iterator::operator*

Synopsis
   constexpr value_type operator*() const; (since C++23)
   Returns the current chunk in the chunk_view.
   Let parent_ be the underlying pointer, and value_type be a nested class that is the
   value type of the iterator.
   Equivalent to: return value_type(*parent_);.
   Before invocation of this operator the expression *this == std::default_sentinel
   must be false.

Parameters
   (none)

Return value
   The current element (a chunk).

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example